Mail::SpamAssassin::Plugin::WelcomeListSubject(3)

NAME
Mail::SpamAssassin::Plugin::WelcomeListSubject - welcomelist by Subject header

SYNOPSIS
 loadplugin Mail::SpamAssassin::Plugin::WelcomeListSubject

 header SUBJECT_IN_WELCOMELIST eval:check_subject_in_welcomelist()
 header SUBJECT_IN_BLOCKLIST eval:check_subject_in_blocklist()

 score SUBJECT_IN_WELCOMELIST -100
 score SUBJECT_IN_BLOCKLIST 100

 welcomelist_subject [Bug *]
 blocklist_subject Make Money Fast

DESCRIPTION
This SpamAssassin plugin module provides eval tests for welcomelisting and blocklisting particular strings in the Subject header. String will match anywhere in the subject. The value for welcomelist_subject or blocklist_subject are strings which may contain file -glob -style patterns, similar to the other welcomelist_* config options. Note that each subject/string must be a separate *_subject command, all whitespace is included in the string.